/* Copyright (c) 1996 University of Utah.  All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for NON-COMMERCIAL purposes and without fee is
 * hereby granted provided that this copyright notice appears in all
 * copies.
 *
 * See http://www.cs.utah.edu/~hamlet for more educational resources.
 *
 * The University of Utah MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT
 * THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED,
 * INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR
 * NON-INFRINGEMENT. The University of Utah SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package Root;

import java.awt.*;

class StatusLabel extends Panel {
  FuncArray funcArray;
  Label status;
  	
  StatusLabel(FuncArray funcArrayIn, int rootMethod, int curFunc) {
    funcArray   =  funcArrayIn;
    status = new Label("", Label.CENTER);
    add(status);
    set(rootMethod, curFunc);
  }

  void set(int rootMethod, int curFunc) {
    String method, func;

    if (rootMethod == Root.BISECTION) {
      method = new String("Bisection");
    }
    else if (rootMethod == Root.NEWTON) {
      method = new String ("Newton");
    }
    else {
      method = new String ("Unknown");
    }

    func = new String (funcArray.array[curFunc].name);

    status.setText("Root Method:   " + method + "       " + 
	    "Function:   "    + func);
    
  }

}
